
t_vector=0:1:H;
x1=state2(:,1);
x2=state2(:,2);
mass=V*(x1-X00(1));
%DRAWfig_ML.m displays Fig 5a si 5b 
figure(821) % (a)
stairs(t_vector,[uML uML(120)],'r');
xlabel('time [h]');
ylabel('quasi-optimal light intensity ');
axis([0,120,300,1100]);
grid MINOR;
%text(3.2,2,strcat('Q_{0}=',num2str(Q0)),'FontSize',14);
text(20.,900.,'\it{control output}','FontSize',12);
text(20.,1050,'Closed-loop with NN controller','FontSize',12);


figure(822)
plot(t_vector,x1,'r',t_vector,x2/2,'b',t_vector,mass,'g',[0 120],[3 3],'--k');
axis([0,120,0,5.]);
xlabel('time [h]');
ylabel('state variables');
legend('\it{x}_{1}','\it{x}_{2}','\Deltam','location','NorthWest'); %,'position',[100 180 100 120];
% text(10.,190.,'\it{H}=20','FontSize',12);
% text(10.,170,'open-loop','FontSize',12);
grid MINOR;
text(40.,4.75,'Process evolution with NN controller','FontSize',12);
text(30.,2.75,'m_{0}','FontSize',12);
text(70.,3.5,'0.5\cdot\it{x}_2','FontSize',12);
text(70.,1.,'\Deltam(120)\geq{m}_{0}','FontSize',12);
